<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://ultimatemember.com/
 * @since      1.0.0
 *
 * @package    Um_Terms_Conditions
 * @subpackage Um_Terms_Conditions/public/partials
 */


global $um_terms_conditions;
do_action('um_terms_conditions_set_id', $args);

?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class="um-field um-field-type_terms_conditions"  data-key="use_terms_conditions_agreement" style="display: block;padding:0px">
	<div class="um-field-area">
		<div class='um-terms-conditions-content' style="display:none">
			<?php
			$um_content_query = get_post( $args['use_terms_conditions_content_id'] );
			if( isset( $um_content_query  ) ){
				$content = $um_content_query->post_content;
				$content = apply_filters('the_content', $content);
				$content = str_replace(']]>', ']]>', $content);
				echo $content;
			}
			?>
		</div>
		<a href="javascript:;" class="um-toggle-terms" data-toggle-state="hidden" data-toggle-show="<?php echo $um_terms_conditions->get_field_value( '_um_register_use_terms_conditions_toggle_show' ); ?>" data-toggle-hide="<?php echo $um_terms_conditions->get_field_value( '_um_register_use_terms_conditions_toggle_hide' ); ?>" ><?php echo $um_terms_conditions->get_field_value( '_um_register_use_terms_conditions_toggle_show' ); ?></a>
		</a>	
	</div>
	<div class="um-field-area">
		
		<label class="um-field-checkbox">
			<input type="checkbox" name="use_terms_conditions_agreement" value="1">
			<span class="um-field-checkbox-state">
				<i class="um-icon-android-checkbox-outline-blank"></i>
			</span>
			<span class="um-field-checkbox-option">
				<?php echo $um_terms_conditions->get_field_value( '_um_register_use_terms_conditions_agreement' ); ?>
			</span>
		</label>
			<div class="um-clear"></div>
		<?php 
			global $ultimatemember;
			$errors = $ultimatemember->form->errors;
			if( isset( $errors['use_terms_conditions_agreement'] ) ){
				
				$error_message = $um_terms_conditions->get_field_value( '_um_register_use_terms_conditions_error_text' );

				echo '<p class="um-notice err"><i class="um-icon-ios-close-empty" onclick="jQuery(this).parent().fadeOut();"></i>' . $error_message . '</p><br/>';
			}
		?>
		<div class="um-clear"></div>
	</div>
</div>